@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Lexend", sans-serif;
}


body {
    height: 100vh; /*Estamos dizendo ao body que queremos a altura completa (100%)*/
    align-items: center;
    justify-content: center;
    display: flex;
    background-color: #0F2C59;
}


.google-btn img{
    width: 20px;
}

.container{
background-color: white;
padding: 2rem;
border-radius: 15px;
width: 100%;
max-width: 400px;
box-shadow: 0 10px 25px black;
}

h2 {
    text-align: center;
    margin-bottom: 1.5rem;
    color: black;
}


.input-group{
    margin-bottom: 1rem;
}

.input-group label{
    display: block; /*mantendo o comportamento do elemento em bloco*/
    margin-bottom: 5px;
    color: black;
}


.input-group input{
    width: 100%;
    padding: 10px;
    border-radius: 8px;
    border: 1px solid #9f111b;
    transition: 0.3s;
    outline: none; /*remove o contorno (borda externa) do elemento*/
}


.input-group input:focus {
    border-color: black;
    box-shadow: 0 0 5px #555;
}

.links{
    display: flex;
    justify-content: space-between;
    font-size: 0.9rem;
    margin-bottom: 1rem;
    gap: 16px;
}

.links a {
    text-decoration: none;
    color: black;
}


.links a:hover {
    text-decoration: underline;
}

.btn {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 15px;
    background-color: black;
    color: white;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.5s;
}

.btn:hover{
    background-color: #0F2C59;
    color: white;
}

.google-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 15px;
    color: black;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.5s;
    margin-top: 15px;
    gap: 10px;
}


.google-btn:hover{
    background-color: #0F2C59;
    color: white;
}


@media (max-width : 480px) {
    .container {
    
        padding: 1.5rem;
    }
}